eID middleware |

# be::portugal::eid::PTEID_Crl Class Reference

Class that represents one CRL. More...

Inheritance diagram for be::portugal::eid::PTEID_Crl:

List of all members.

## Public Member Functions
override void | Dispose ()
| PTEID_Crl (string uri)
| Create a Crl from its uri (without any certificate link).
string | getUri ()
| Return the uri of the CRL.
string | getIssuerName ()
| Return the name of the issuer of the certificate.
PTEID_Certificate | getIssuer ()
| Return the issuer certificate.
PTEID_CrlStatus | getData (PTEID_ByteArray crl, bool bForceDownload)
| Return the CRL as a byte array.
PTEID_CrlStatus | getData (PTEID_ByteArray crl)
| Return the CRL as a byte array.

## Detailed Description

Class that represents one CRL.

## Constructor & Destructor Documentation

be::portugal::eid::PTEID_Crl::PTEID_Crl | ( | string | uri | ) | `[inline]`

Create a Crl from its uri (without any certificate link).

As there is no issuer, this CRL can't be verify and some method are not allowed (ex. getIssuer). These methods throw PTEID_ExBadUsage exception.

## Member Function Documentation

override void be::portugal::eid::PTEID_Crl::Dispose | ( |  | ) | `[inline, virtual]`

Reimplemented from be::portugal::eid::PTEID_Object.

PTEID_CrlStatus be::portugal::eid::PTEID_Crl::getData | ( | PTEID_ByteArray | crl | ) | `[inline]`

Return the CRL as a byte array.

If it comes from a Certif we verify the signature. If it's created from the URL only we DON'T verify the signature.

Parameters:

  | crl | will content the crl

PTEID_CrlStatus be::portugal::eid::PTEID_Crl::getData | ( | PTEID_ByteArray | crl,
|  | bool | bForceDownload |
| ) |  |  | `[inline]`

Return the CRL as a byte array.

If it comes from a Certif we verify the signature. If it's created from the URL only we DON'T verify the signature.

Parameters:

  | crl | will content the crl
  | bForceDownload | if true the CRL in the cache is not valid anymore and we force a new download

PTEID_Certificate be::portugal::eid::PTEID_Crl::getIssuer | ( |  | ) | `[inline]`

Return the issuer certificate.

if there is no issuer (root), PTEID_ExCertNoIssuer exception is thrown.

string be::portugal::eid::PTEID_Crl::getIssuerName | ( |  | ) | `[inline]`

Return the name of the issuer of the certificate.

string be::portugal::eid::PTEID_Crl::getUri | ( |  | ) | `[inline]`

Return the uri of the CRL.